=== debian/changelog ===
itksnap (2.0.0-1~karmic.nd1) karmic; urgency=low

  * Backport of Debian package version 2.0.0-1 for NeuroDebian. Problems
    with the backport should be reported to the NeuroDebian maintainers
    and not to the original Debian maintainer.

 -- NeuroDebian Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>  Thu, 29 Apr 2010 16:29:05 -0400

itksnap (2.0.0-1) unstable; urgency=low

  * Initial Debian packaging based on debhelper's "dh" and using the new source
    package format 3.0 (quilt). Closes: #579588.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 25 Apr 2010 12:47:51 -0400
