=== debian/control ===
Source: itksnap
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev, libssl-dev, libjpeg62-dev, libtiff4-dev
Standards-Version: 3.8.4
Section: science
Homepage: http://www.itksnap.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=debian-med/itksnap.git
Vcs-Git: git://git.debian.org/git/debian-med/itksnap.git

Package: itksnap
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: semi-automatic segmentation of structures in 3D images
 SNAP provides semi-automatic segmentation of structures in medical
 images (e.g.  magnetic resonance images of the brain) using active
 contour methods, as well as manual delineation and image navigation.
 Noteworthy features are:
 .
  * Linked cursor for seamless 3D navigation
  * Manual segmentation in three orthogonal planes at once
  * Support for many different 3D image formats, including NIfTI
  * Support for concurrent, linked viewing and segmentation of multiple images
  * Limited support for color images (e.g., diffusion tensor maps)
  * 3D cut-plane tool for fast post-processing of segmentation results
