## itksnap 2.0.0+cvs20100615

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,13 +27,13 @@
 #     release version 1.7.3-beta and then version 1.7.3. The right way to do it
 #     is to have 1.7.3-beta followed by 1.7.5-rc1 followed by 1.8.0 and so on
 SET(SNAP_VERSION_MAJOR 2)
-SET(SNAP_VERSION_MINOR 0)
+SET(SNAP_VERSION_MINOR 1)
 SET(SNAP_VERSION_PATCH 0)
-SET(SNAP_VERSION_QUALIFIER "")
+SET(SNAP_VERSION_QUALIFIER "-dev")
 SET(SNAP_VERSION_FULL "${SNAP_VERSION_MAJOR}.${SNAP_VERSION_MINOR}.${SNAP_VERSION_PATCH}${SNAP_VERSION_QUALIFIER}")
-SET(SNAP_VERSION_RELEASE_DATE "20091117")
+SET(SNAP_VERSION_RELEASE_DATE "20100323")
 SET(SNAP_VERSION_LAST_COMPATIBLE_RELEASE_DATE "20090731")
-SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Nov 17, 2009")
+SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Mar 23, 2010")
 
 # Shamelessly stolen from ParaView
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "itksnap-${SNAP_VERSION_FULL}-${SNAP_VERSION_RELEASE_DATE}")
@@ -89,10 +89,11 @@
   Common/ITKExtras/itkVoxBoCUBImageIO.cxx
   Common/ITKExtras/itkVoxBoCUBImageIOFactory.cxx
   Logic/Common/ColorMap.cxx
+  Logic/Common/ColorLabelTable.cxx
   Logic/Common/ImageCoordinateGeometry.cxx
   Logic/Common/ImageCoordinateTransform.cxx
+  Logic/Common/SegmentationStatistics.cxx
   Logic/Common/SNAPRegistryIO.cxx
-  Logic/Common/ColorLabelTable.cxx
   Logic/Common/SNAPSegmentationROISettings.cxx
   Logic/Framework/GenericImageData.cxx
   Logic/Framework/GlobalState.cxx
@@ -150,6 +151,7 @@
   Logic/Common/ColorMap.h
   Logic/Common/ImageCoordinateGeometry.h
   Logic/Common/ImageCoordinateTransform.h
+  Logic/Common/SegmentationStatistics.h
   Logic/Common/ImageRayIntersectionFinder.h
   Logic/Common/ImageRayIntersectionFinder.txx
   Logic/Common/SNAPRegistryIO.h
@@ -217,9 +219,11 @@
   UserInterface/BasicComponents/FunctionPlot2D.cxx
   UserInterface/BasicComponents/IntensityCurveBox.cxx
   UserInterface/BasicComponents/InteractionModeClient.cxx
+  UserInterface/BasicComponents/MetaDataTable.cxx
   UserInterface/BasicComponents/RecursiveInteractionMode.cxx
   UserInterface/BasicComponents/SnakeParametersPreviewBox.cxx
   UserInterface/BasicComponents/SnakeParametersPreviewPipeline.cxx
+  UserInterface/BasicComponents/StatisticsTable.cxx
   UserInterface/Common/SNAPAppearanceSettings.cxx
   UserInterface/ImageIOWizard/ImageIOWizardLogic.cxx
   UserInterface/ImageIOWizard/RestrictedImageIOWizardLogic.cxx
@@ -246,6 +250,7 @@
   UserInterface/SliceWindow/PolygonDrawing.cxx
   UserInterface/SliceWindow/PolygonInteractionMode.cxx
   UserInterface/SliceWindow/PolygonScanConvert.cxx
+  UserInterface/SliceWindow/PopupButtonInteractionMode.cxx
   UserInterface/SliceWindow/RegionInteractionMode.cxx
   UserInterface/SliceWindow/SNAPSliceWindow.cxx
   UserInterface/SliceWindow/SliceWindowCoordinator.cxx
@@ -266,13 +271,8 @@
   UserInterface/BasicComponents/IntensityCurveBox.h
   UserInterface/BasicComponents/InteractionMode.h
   UserInterface/BasicComponents/InteractionModeClient.h
+  UserInterface/BasicComponents/MetaDataTable.h  
   UserInterface/BasicComponents/RecursiveInteractionMode.h
   UserInterface/BasicComponents/SnakeParametersPreviewBox.h
   UserInterface/BasicComponents/SnakeParametersPreviewPipeline.h
-  UserInterface/Common/SNAPAppearanceSettings.h
-  UserInterface/Common/SNAPCommonUI.h
-  UserInterface/ImageIOWizard/ImageIOWizardBase.h
-  UserInterface/ImageIOWizard/ImageIOWizardLogic.h
-  UserInterface/ImageIOWizard/RestrictedImageIOWizardLogic.h
-  UserInterface/MainComponents/AppearanceDialogUIBase.h
-  UserInterface/MainComponents/AppearanceDialogUILogic.h
+  UserInterface/BasicComponents/StatisticsTable.h
