=== debian/changelog ===
itksnap (2.0.0+cvs20100615-1) unstable; urgency=low

  * New CVS snapshot fixing a number of compiler issues.
  * Add patch to avoid namespace confusion of itk:: and std::
    (Closes: #583208). Patch has been forwarded upstream.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 23 Jun 2010 12:17:33 -0400
