=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev, libssl-dev, libjpeg62-dev, libtiff4-dev
+Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev
 Standards-Version: 3.8.4
 Section: science
 Homepage: http://www.itksnap.org
