=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LDFLAGS = -Wl,--as-needed

# one ring to rule them all ...
%:
	dh $@


override_dh_auto_install:
	dh_auto_install
	# move data files to /usr/share
	mv $(CURDIR)/debian/itksnap/usr/lib/snap*/ProgramData \
		$(CURDIR)/debian/itksnap/usr/share/itksnap/
	# get rid of application "forwarder"
	mv $(CURDIR)/debian/itksnap/usr/lib/snap*/InsightSNAP \
		$(CURDIR)/debian/itksnap/usr/bin/itksnap
	# remove left-overs
	rm -r $(CURDIR)/debian/itksnap/usr/lib
	# use one of the pix as an icon
	convert $(CURDIR)/ProgramData/Images2D/EdgeForcesExample.png -resize 32x32 \
		$(CURDIR)/debian/itksnap/usr/share/pixmaps/itksnap.xpm
	# strip useless CMakeLists
	find $(CURDIR)/debian/itksnap/usr -name 'CMakeLists.txt' -delete
