## itksnap 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,13 +27,13 @@
 #     release version 1.7.3-beta and then version 1.7.3. The right way to do it
 #     is to have 1.7.3-beta followed by 1.7.5-rc1 followed by 1.8.0 and so on
 SET(SNAP_VERSION_MAJOR 2)
-SET(SNAP_VERSION_MINOR 1)
+SET(SNAP_VERSION_MINOR 2)
 SET(SNAP_VERSION_PATCH 0)
-SET(SNAP_VERSION_QUALIFIER "-dev")
+SET(SNAP_VERSION_QUALIFIER "")
 SET(SNAP_VERSION_FULL "${SNAP_VERSION_MAJOR}.${SNAP_VERSION_MINOR}.${SNAP_VERSION_PATCH}${SNAP_VERSION_QUALIFIER}")
-SET(SNAP_VERSION_RELEASE_DATE "20100323")
+SET(SNAP_VERSION_RELEASE_DATE "20110504")
 SET(SNAP_VERSION_LAST_COMPATIBLE_RELEASE_DATE "20090731")
-SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Mar 23, 2010")
+SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "May 4, 2011")
 
 # Shamelessly stolen from ParaView
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "itksnap-${SNAP_VERSION_FULL}-${SNAP_VERSION_RELEASE_DATE}")
@@ -50,6 +50,13 @@
     SET(CPACK_SYSTEM_NAME win32-${CMAKE_SYSTEM_PROCESSOR})
   ENDIF(CMAKE_CL_64)
 ENDIF(${CPACK_SYSTEM_NAME} MATCHES Windows)
+
+# For Apple, we need to base the filename on the architecture
+IF(CMAKE_SYSTEM_NAME MATCHES Darwin)
+  STRING(REPLACE ";" "-" ARCHBIT ${CMAKE_OSX_ARCHITECTURES})
+  SET(CPACK_SYSTEM_NAME "MacOS-${ARCHBIT}")
+ENDIF(CMAKE_SYSTEM_NAME MATCHES Darwin)
+
 IF(NOT DEFINED CPACK_PACKAGE_FILE_NAME)
   SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")
 ENDIF(NOT DEFINED CPACK_PACKAGE_FILE_NAME)
@@ -272,7 +279,3 @@
   UserInterface/BasicComponents/InteractionMode.h
   UserInterface/BasicComponents/InteractionModeClient.h
   UserInterface/BasicComponents/MetaDataTable.h  
-  UserInterface/BasicComponents/RecursiveInteractionMode.h
-  UserInterface/BasicComponents/SnakeParametersPreviewBox.h
-  UserInterface/BasicComponents/SnakeParametersPreviewPipeline.h
-  UserInterface/BasicComponents/StatisticsTable.h
