=== ProgramData/HTMLHelp/CMakeLists.txt ===
SUBDIRS(Artwork)
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR}/HTMLHelp "\\.(html|css)$")
