=== ProgramData/Presets/CMakeLists.txt ===
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR}/Presets "\\.(txt)$")
