=== debian/changelog ===
itksnap (2.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch ("this->" qualifiers).
    (Closes: #667211)

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 May 2012 15:43:12 +0200

itksnap (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards to 3.9.2, no changes necessary.
  * Changed maintainer email.
  * Removed FLTK patch and wrong-header-file-casing patch -- merged upstream.

 -- Michael Hanke <mih@debian.org>  Fri, 27 May 2011 07:39:03 -0400

itksnap (2.1.4-1) unstable; urgency=low

  * New upstream release (RC1 for upcoming 2.2.0). Merged all relevant patches
    with upstream.
  * Bumped Standards to 3.9.1, no changes necessary.
  * Added upstream patch to allow building against FLTK 1.1. Thanks to
    Paul Yushkevich.
  * Added patch to remove CMake's find_package() version requirements for
    VTK 5.6 and ITK 3.20. First of all Debian's CMake fails to handle them
    properly (see #600889), but moreover, ITKSNAP builds and runs fine with
    VTK 5.4 and ITK 3.18 on Debian.
  * Added patch to fix a minor header filename casing problem.
  * Add 'get-orig-source' target to debian/rules to create a tarball from the
    CVS branch of the Git packaging repository.
  * Added build-dependency to libxinerama-dev.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 23 Oct 2010 10:54:51 -0400
