=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: itksnap
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev
-Standards-Version: 3.8.4
+Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev, libxinerama-dev
+Standards-Version: 3.9.2
 Section: science
 Homepage: http://www.itksnap.org
 XS-DM-Upload-Allowed: yes
