=== debian/changelog ===
itksnap (3.2.0-1~nd80+1+nd90+1) stretch; urgency=low

  * Backported for stretch.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 27 Jun 2015 21:59:52 -0400

itksnap (3.2.0-1~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Fri, 16 Jan 2015 20:55:09 +0100

itksnap (3.2.0-1) experimental; urgency=low

  [ Gert Wollny ]
  * New upstream release, Closes: #698386, Closes: #639983
  * Change dependencies to new requirements for ITK, VTK, and QT
  * Clean rules file
  * Add patch to include vtk and gdcm libraries that are required for
    linking on Debian
  * Update standards version to 3.9.6
  * Set debhelper compatibility to 9
  * Disable tests because they need to connect to a display
  * Enable parallel build
  * Remove obsolete dm-upload allowed
  * Set priority to optional
  * Add some optimizations flags that really make a difference
  * Correct desktop entry to silence some lintian info messages 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 16 Jan 2015 11:39:29 +0100
