=== debian/control ===
--- 
+++ 
@@ -1,19 +1,32 @@
 Source: itksnap
-Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev, libxinerama-dev
-Standards-Version: 3.9.2
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Priority: optional
+Uploaders: Michael Hanke <mih@debian.org>,
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Gert Wollny <gw.fossdev@gmail.com>
+Build-Depends: debhelper (>= 9.0.0),
+               cmake,
+               libvtk6-dev,
+               libinsighttoolkit4-dev,
+               libgdcm2-dev,
+               imagemagick,
+               libdcmtk2-dev,
+               qtbase5-dev,
+               libqt5webkit5-dev,
+               libqt5opengl5-dev,
+               qttools5-private-dev,
+               libfftw3-dev
+Standards-Version: 3.9.6
 Section: science
 Homepage: http://www.itksnap.org
-XS-DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=debian-med/itksnap.git
 Vcs-Git: git://git.debian.org/git/debian-med/itksnap.git
 
 Package: itksnap
 Section: science
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Description: semi-automatic segmentation of structures in 3D images
  SNAP provides semi-automatic segmentation of structures in medical
  images (e.g.  magnetic resonance images of the brain) using active
